<?php
/**
 * Model dla klasy Site
 *
 * @author ModGen
 */

class Site extends DataObject{


	/**
	 * nazwa tabeli
	 */
	static $tableName = 'site';

	/**
	 * nazwa klucza tabeli
	 */
	static $classTablePK = 'id_site';

	/**
	 * nazwa klasy
	 */
	static $className = __CLASS__;

	/**
	 * tablica mapująca pola klasy
	 */
	static $fields = array(
		'id_site' => 'id',
		'name' => 'name',
		'date_add' => 'dateAdd',
		'id_site_parent' => 'idSiteParent',
		'id_language' => 'idLanguage',
		'content' => 'content',
		'site_order' => 'siteOrder',
		'site_location' => 'siteLocation',
		'type' => 'type',
		'id_site_main' => 'idSiteMain',
		'color' => 'color',
		'lower_name' => 'lowerName',
		'date_active_start' => 'dateActiveStart',
		'date_active_stop' => 'dateActiveStop',
		'active' => 'active'
	);


	protected $id;
	private $name;
	private $dateAdd;
	private $idSiteParent;
	private $idLanguage;
	private $content;
	private $siteOrder;
	private $siteLocation;
	private $type;
	private $idSiteMain;
	private $color;
	private $lowerName;
	private $dateActiveStart;
	private $dateActiveStop;
	private $active;



	// -- Konstruktor --


	function __construct( $id = -1 , $name = null, $dateAdd = null, $idSiteParent = null, $idLanguage = null, $content = null, $siteOrder = null, $siteLocation = null, $type = null, $idSiteMain = null, $color = null, $lowerName = null, $dateActiveStart = null, $dateActiveStop = null, $active = null){
		$this->id = $id;
		$this->name = $name;
		$this->dateAdd = $dateAdd;
		$this->idSiteParent = $idSiteParent;
		$this->idLanguage = $idLanguage;
		$this->content = $content;
		$this->siteOrder = $siteOrder;
		$this->siteLocation = $siteLocation;
		$this->type = $type;
		$this->idSiteMain = $idSiteMain;
		$this->color = $color;
		$this->lowerName = $lowerName;
		$this->dateActiveStart = $dateActiveStart;
		$this->dateActiveStop = $dateActiveStop;
		$this->active = $active;
	}



	// -- Get-y i Set-y --

	public function getId(){
		return $this->id;
	}

	public function setId($id){
		$this->id = $id;
	}

	
	public function getName(){
		return $this->name;
	}

	public function setName($name){
		$this->name = $name;
	}

	
	public function getDateAdd(){
		return $this->dateAdd;
	}

	public function setDateAdd($dateAdd){
		$this->dateAdd = $dateAdd;
	}

	
	public function getIdSiteParent(){
		return $this->idSiteParent;
	}

	public function setIdSiteParent($idSiteParent){
		$this->idSiteParent = $idSiteParent;
	}

	
	public function getIdLanguage(){
		return $this->idLanguage;
	}

	public function setIdLanguage($idLanguage){
		$this->idLanguage = $idLanguage;
	}

	
	public function getContent(){
		return $this->content;
	}

	public function setContent($content){
		$this->content = $content;
	}

	
	public function getSiteOrder(){
		return $this->siteOrder;
	}

	public function setSiteOrder($siteOrder){
		$this->siteOrder = $siteOrder;
	}

	
	public function getSiteLocation(){
		return $this->siteLocation;
	}

	public function setSiteLocation($siteLocation){
		$this->siteLocation = $siteLocation;
	}

	
	public function getType(){
		return $this->type;
	}

	public function setType($type){
		$this->type = $type;
	}

	
	public function getIdSiteMain(){
		return $this->idSiteMain;
	}

	public function setIdSiteMain($idSiteMain){
		$this->idSiteMain = $idSiteMain;
	}

	
	public function getColor(){
		return $this->color;
	}

	public function setColor($color){
		$this->color = $color;
	}

	
	public function getLowerName(){
		return $this->lowerName;
	}

	public function setLowerName($lowerName){
		$this->lowerName = $lowerName;
	}

	
	public function getDateActiveStart(){
		return $this->dateActiveStart;
	}

	public function setDateActiveStart($dateActiveStart){
		$this->dateActiveStart = $dateActiveStart;
	}

	
	public function getDateActiveStop(){
		return $this->dateActiveStop;
	}

	public function setDateActiveStop($dateActiveStop){
		$this->dateActiveStop = $dateActiveStop;
	}

	
	public function getActive(){
		return $this->active;
	}

	public function setActive($active){
		$this->active = $active;
	}

	




	/**
	* Pobiera nazwę tabeli reprezentującej obiekt w SQL
	* @return string
	*/
	public  function GetTableName(){
	return self::$tableName;
	}

	/**
	* Pobiera nazwę klucza głównego tabeli
	* @return string
	*/
	public function GetClassTablePK() {
		return self::$classTablePK;
	}

	/**
	* Pobiera tablice mapującą pola klasy na pola tabeli
	* @return array
	*/
	public  function GetFields(){
		return self::$fields;
	}

	/**
	* Pobiera nazwę klasy
	* @return string
	*/
	public  function GetClassName(){
		return self::$className;
	}



}

?>